Module build failed: ReferenceError: Unknown plugin "transform-runtime"



  • Hey all,

    I am looking for help with my dev build.
    I am able to build and run my app from the installation folder.

    I committed my project folder to git repository, and the node_modules are ignored in the commit because of setting in .gitignore file.

    I pulled the project to a different folder and did ran npm install command. It has installed many node modules. When I run the quasar dev, I am getting the below error

    Module build failed: ReferenceError: Unknown plugin “transform-runtime” specified in…

    Please advice if I am missing any step here.

    Thanks



  • Could you please post your package.json content here, maybe something is missing there.
    Also which version of Quasar do you use?



  • package.json file

    {
    “name”: “abc Service”,
    “version”: “1.0.0”,
    “description”: “Mobile app for abc Service”,
    “productName”: “abc Service”,
    “cordovaId”: “org.cordova.quasar.app”,
    “author”: “abc”,
    “private”: true,
    “scripts”: {
    “test”: “echo “No test specified” && exit 0”
    },
    “dependencies”: {
    “all”: “0.0.0”,
    “axios”: “^0.17.1”,
    “transform-runtime”: “0.0.0”,
    “vue2-google-maps”: “^0.8.8”
    },
    “devDependencies”: {
    "@babel/plugin-transform-runtime": “^7.0.0-beta.40”,
    “quasar-cli”: “^0.15.2”
    },
    “engines”: {
    “node”: “>= 8.9.0”,
    “npm”: “>= 5.6.0”
    },
    “browserslist”: [
    "> 1%",
    “last 2 versions”,
    “not ie <= 10”
    ]
    }



  • error in ./.quasar/entry.js

    Module build failed: ReferenceError: Unknown plugin “transform-runtime” specified in “C:\Users\…\app\.babel rc” at 0, attempted to resolve relative to “C:\Users\…\app”

    • option-manager.js:180
      [npm]/[quasar-cli]/[babel-core]/lib/transformation/file/options/option-manager.js:180:17

    • Array.map

    • option-manager.js:158 Function.normalisePlugins
      [npm]/[quasar-cli]/[babel-core]/lib/transformation/file/options/option-manager.js:158:20

    • option-manager.js:234 OptionManager.mergeOptions
      [npm]/[quasar-cli]/[babel-core]/lib/transformation/file/options/option-manager.js:234:36

    • option-manager.js:368 OptionManager.init
      [npm]/[quasar-cli]/[babel-core]/lib/transformation/file/options/option-manager.js:368:12

    • index.js:212 File.initOptions
      [npm]/[quasar-cli]/[babel-core]/lib/transformation/file/index.js:212:65

    • index.js:135 new File
      [npm]/[quasar-cli]/[babel-core]/lib/transformation/file/index.js:135:24

    • pipeline.js:46 Pipeline.transform
      [npm]/[quasar-cli]/[babel-core]/lib/transformation/pipeline.js:46:16

    • index.js:50 transpile
      [npm]/[quasar-cli]/[babel-loader]/lib/index.js:50:20

    • index.js:175 Object.module.exports
      [npm]/[quasar-cli]/[babel-loader]/lib/index.js:175:20

    @ multi (webpack)-dev-server/client?http://0.0.0.0:8080 webpack/hot/dev-server ./.quasar/entry.js


  • Admin

    Remove @babel/plugin-transform-runtime from your package.json. Delete node_modules and package-lock.json. NPM/yarn install again.